ELF_GETSHSTRNDX(3) | Library Functions Manual | ELF_GETSHSTRNDX(3)

# NAME

`elf_getshstrndx`, `elf_setshstrndx` —
retrieve/update the index of the section name string table

# LIBRARY

ELF Access Library (libelf, -lelf)

# SYNOPSIS

`#include <libelf.h>`

int
`elf_getshstrndx`(Elf *elf, size_t *ndxptr);

int
`elf_setshstrndx`(Elf *elf, size_t ndx);

# DESCRIPTION

Function `elf_getshstrndx`() retrieves the section index of the string table containing section names from descriptor elf and stores it into the location pointed to by argument ndxptr. Function `elf_getshstrndx`() is deprecated. Please use elf_getshdrstrndx(3) instead.

Function `elf_setshstrndx`() sets the index of the section name string table to argument ndx.

These routines allow applications to process both normal ELF objects and ELF objects that use extended section numbering uniformly.

# RETURN VALUES

These functions return a non-zero value if successful, or zero in case of an error.

# ERRORS

These functions can fail with the following errors:

[`ELF_E_ARGUMENT`]
  A NULL value was passed in for argument elf.
[`ELF_E_ARGUMENT`]
  Argument elf was not for an ELF file.
[`ELF_E_ARGUMENT`]
  Argument elf lacks an ELF Executable header.
[`ELF_E_ARGUMENT`]
  Argument ndx contained a value in the reserved range of section indices.

# SEE ALSO

elf(3), elf32_getehdr(3), elf64_getehdr(3), elf_getident(3), elf_getphdrnum(3), elf_getshdrnum(3), gelf(3), gelf_getehdr(3)

August 5, 2009 | NetBSD 9.2